## org.exist.xquery
Class XPathUtil

    java.lang.Object
      org.exist.xquery.XPathUtil

public class XPathUtil
extends java.lang.Object

Constructor Summary
`XPathUtil()`

Method Summary
`static NodeProxy` `getNode(DBBroker broker, XMLResource xres)` Converts an XMLResource into a NodeProxy.
`static int` `javaClassToXPath(java.lang.Class clazz)`
`static Sequence` `javaObjectToXPath(java.lang.Object obj, XQueryContext context)` Convert Java object to an XQuery sequence.
`static Sequence` `javaObjectToXPath(java.lang.Object obj, XQueryContext context, boolean expandChars)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XPathUtil

    public XPathUtil()

Method Detail

### javaObjectToXPath

    public static final Sequence javaObjectToXPath(java.lang.Object obj,
                                                   XQueryContext context)
                                            throws XPathException

  Convert Java object to an XQuery sequence. Objects of type Sequence are directly returned, other objects are converted into the corresponding internal types.

  Parameters:
    `obj` -
  Returns:
    XQuery sequence
  Throws:
    `XPathException`

### javaObjectToXPath

    public static final Sequence javaObjectToXPath(java.lang.Object obj,
                                                   XQueryContext context,
                                                   boolean expandChars)
                                            throws XPathException

  Throws:
    `XPathException`

### javaClassToXPath

    public static final int javaClassToXPath(java.lang.Class clazz)

### getNode

    public static final NodeProxy getNode(DBBroker broker,
                                          XMLResource xres)
                                   throws XPathException

  Converts an XMLResource into a NodeProxy.

  Parameters:
    `broker` - The DBBroker to use to access the database
    `xres` - The XMLResource to convert
  Returns:
    A NodeProxy for accessing the content represented by xres
  Throws:
    `XPathException` - if an XMLDBException is encountered

Copyright (C) Wolfgang Meier. All rights reserved.